import { LayoutWithSidebar } from "@/components/page/LayoutWithSidebar";
import { getAbout } from "@/services/about";
import { getLocale, getTranslations } from "next-intl/server";

export default async function AboutPage() {
  const lang = await getLocale();
  const t = await getTranslations("about");

  const data = await getAbout(lang);

  return (
    <LayoutWithSidebar second={t("title")} title={t("title")}>
      <div
        dangerouslySetInnerHTML={{
          __html: data,
        }}
        className="text-[16px] aboutus  text-p flex flex-col items-start gap-6 leading-[150%] pb-10"
      />
    </LayoutWithSidebar>
  );
}
